Bug 75126 - package selection borkage
package selection borkage
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks: 78241
  Show dependency treegraph
 
Reported: 2002-10-04 13:47 EDT by Chris Ricker
Modified: 2007-04-18 12:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 22:51:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2002-10-04 13:47:40 EDT
I've not noticed this with other installs (but I might have overlooked it); not
sure if it's specific to the machine or generic.

I did a graphical NFS install (using an exploded NFS tree, not loopback ISO
mounts).  When I got to package selection, I selected several major groups, and
then hit details on a couple to add additional packages.

On Engineering, I hit details and tried to select all seven packages in the
category.  I put checks in all seven boxes, then clicked okay.  The details
option then showed 5 / 7 selected, so I went back into details and discovered
that blas and lapack had magically become deselected.  I selected them again,
hit okay, and saw the same thing (magically deselected again).  I repeated this
several times to make sure it wasn't pilot error...

I was eventually able to select blas and lapack only by deselecting all packages
in Engineering, hitting okay, then going into details, manually selecting blas
and lapack, hitting okay, hitting details, adding the other 5 engineering
packages, and hitting okay.

I also saw something similar with Mail Server.  Selecting postfix was similarly
impossible, and I was only able to select it by deselecting everything else,
selecting it, hitting okay, then reselecting everything else.
Comment 1 Jeremy Katz 2003-01-02 15:42:10 EST
Fixed in CVS
Comment 2 Chris Ricker 2003-03-29 09:59:52 EST
This is still borked in RHL 9 gold

* select engineering and scientific
* hit details
* deselect all but units
* hit okay
* hit details again
* gnuplot is now magically reselected
Comment 3 Chris Ricker 2003-03-29 11:28:39 EST
Hmm, it's actually even more borked than I thought ;-)

although gnuplot gets magically selected, it doesn't actually get installed
Comment 4 Brent Fox 2003-05-25 10:55:44 EDT
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.
Comment 5 Chris Ricker 2003-05-26 10:58:13 EDT
This is still broken -- reopening
Comment 6 Bengt Hammarlin 2004-01-08 10:52:25 EST
I selected svn to be installed. It is just not installed....

Note You need to log in before you can comment on or make changes to this bug.